/*
 * JINGLE
 *
 * Copyright (C) 2004  Peter C. Tribble
 *
 * You may contact the author by email: peter.tribble@gmail.com
 *
 * JingleTabbedPane - a swing tabbed pane with slideshow
 */

package uk.co.petertribble.jingle;

import javax.swing.JTabbedPane;
import javax.swing.Timer;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * A tabbed pane with slideshow.
 *
 * @author Peter C. Tribble (peter.tribble@gmail.com)
 */
public class JingleTabbedPane extends JTabbedPane implements ActionListener {

    private Timer timer = null;
    private int delay = 3000;

    public JingleTabbedPane() {
	super();
    }

    public void startloop() {
	if (timer == null) {
	    timer = new Timer(delay, this);
	}
	timer.start();
    }

    public void stopLoop() {
	if (timer != null) {
	    timer.stop();
	}
    }

    public void setDelay(int i) {
	delay = i;
	if (timer != null) {
	    timer.setDelay(delay);
	}
    }

    public void actionPerformed(ActionEvent e) {
	if (getSelectedIndex() < getTabCount()-1) {
	    setSelectedIndex(getSelectedIndex() + 1);
	} else {
	    setSelectedIndex(0);
	}
    }

}
