/*
 * JINGLE
 *
 * Copyright (C) 2004  Peter C. Tribble
 *
 * You may contact the author by email: peter.tribble@gmail.com
 *
 * JingleTextPanel - a panel containing text
 */

package uk.co.petertribble.jingle;

import uk.co.petertribble.jumble.JumbleFile;
import javax.swing.*;
import java.awt.Font;
import java.io.File;

/**
 * A Scrollable panel containing Text
 *
 * @author Peter C. Tribble (peter.tribble@gmail.com)
 */
public class JingleTextPanel extends JPanel {

    /**
     * Create a panel containing Text from a file
     */
    public JingleTextPanel(File f) {
	this(JumbleFile.getStringContents(f));
    }

    /**
     * Create a Scrollable panel containing Text
     */
    public JingleTextPanel(String s) {
	JTextArea t = new JTextArea(s);
	t.setCaretPosition(0);
	t.setEditable(false);
	t.setFont(new Font("monospaced", Font.PLAIN, 12));
	add(t);
    }

}
